﻿using System.Collections.Generic;
using System.Web.Mvc;
using View_Engine_Demo.Filters;
using View_Engine_Demo.Models;

namespace View_Engine_Demo.Controllers
{
    public class ProductsController : Controller
    {

        [SerializableViewData]
        public void List()
        {
            IEnumerable<Product> products = GetProducts();
            RenderView("List", products);
        }


        private static IEnumerable<Product> GetProducts()
        {
            return new List<Product> {
                new Product { Name="Product #1", Description = "First Product", Price = 123.00 },
                new Product { Name="Product #2", Description = "Second Product", Price = 432.49 },
                new Product { Name="Product #3", Description = "Third Product", Price = 123213.11 },
                new Product { Name="Product #4", Description = "Fourth Product", Price = 23.13 }
            };
        }
    }
}
